Loading...
Searching...
No Matches
osmo_nri_ranges Struct Reference

A list of struct osmo_nri_range. More...

`#include <gsm23236.h>`

## Data Fields

struct llist_head | entries

## Detailed Description

A list of struct osmo_nri_range.

Use osmo_nri_ranges_alloc() to create, and osmo_nri_ranges_free() (or talloc_free() on the parent context) to destroy. Always use osmo_nri_ranges_add() to insert entries, to ensure that the list remains sorted by 'first' values, which some of the osmo_nri_ranges API assumes to always be true.

This struct serves as talloc context for the osmo_nri_range entries in the list, simplifying function signatures. It also makes the API future proof, to easily accomodate possible future additions.

## Field Documentation

## entries

struct llist_head osmo_nri_ranges::entries

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm23236.h